Subject: RE: [Sip] ABNF rule used in RFC 4244

From: "Mary Barnes" <[email-masked]>
Date: Thu, 1 Dec 2005 08:39:56 -0600

Joel,

You are correct, this is an error.  I backtracked to see how it got introduced and it's been that way for 3 years.  RFC 2832 does define the DOT, but that's not a reference for this RFC nor for any that it references.  I have filed an errata with the RFC Editor and once it gets entered in the database, it will show up here: http://www.rfc-editor.org/errata.html

Thanks for pointing this out. 

Mary 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, November 23, 2005 5:37 AM
To: [email-masked]
Cc: Barnes, Mary [RICH2:B601:EXCH]
Subject: [Sip] ABNF rule used in RFC 4244

Hi,

In RFC 4244 (An Extension to SIP for Request History Information) there is the following ABNF rule:
       hi-index = "index" EQUAL 1*DIGIT *(DOT 1*DIGIT) 
DOT is not defined as an ABNF core rule in RFC  4234 (ABNF) and is not defined as a basic rule in RFC 3261.
It is only used and defined in RFC 3525 (Gateway Control Protocol Version 1).

Is it defined elsewhere? 

This could be a problem for parsers.

This rule should be:
       hi-index = "index" EQUAL 1*DIGIT *("." 1*DIGIT) 

Regards
Joël 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip